Subject: bug#59377: closed (Re: bug#59377: 29.0.50; Sticky frame parameter has no effect)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 24 Nov 2022 23:54:02 +0000

Your bug report

#59377: 29.0.50; Sticky frame parameter has no effect

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59377: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59377
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59377: 29.0.50; Sticky frame parameter has no effect
From: Stefan Kangas <[email-masked]>
To: Michael Heerdegen <[email-masked]>
Cc: Po Lu <[email-masked]>, [email-masked]
Date: Thu, 24 Nov 2022 15:52:58 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael Heerdegen <[email-masked]> writes:

> Po Lu <[email-masked]> writes:
>
>> > That the feature doesn't work with standard WMs is not a detail.  Maybe
>> > say something like "if supported by your WM" or "not all WM are
>> > supported" or so.
>>
>> If Openbox does not support the hint, then it is not a ``standard
>> window manager'', as far as virtual desktops are concerned.
>
> Maybe they are just virtual virtual desktops...
>
> Ok, if you think that people who know more about the matter will not be
> surprised, then it's all good, I cannot estimate.
>
> In any case, thanks for helping.

So it seems like there is nothing more to do here, and I'm therefore
closing this bug report.

Subject: 29.0.50; Sticky frame parameter has no effect
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Sat, 19 Nov 2022 06:29:40 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Debian and Openbox on X here.

When I set the `sticky` frame parameter of a frame to non-nil, like in

(display-buffer (get-buffer-create "Test")
                `(display-buffer-pop-up-frame
                  ( pop-up-frame-parameters
                    (sticky . t) (minibuffer . nil))))

there is no effect - the frame is only displayed on the current virtual
desktop.  Same when I explicitly set the frame parameter of an existing
frame, e.g. with

  (set-frame-parameter nil 'sticky t)

I would have expected that this works with Openbox.

TIA,

Michael.